org.vertx.java.core.logging.impl

## Class Log4jLogDelegateFactory

- java.lang.Object
- - org.vertx.java.core.logging.impl.Log4jLogDelegateFactory

All Implemented Interfaces:
  LogDelegateFactory

    public class Log4jLogDelegateFactory
    extends java.lang.Object
    implements LogDelegateFactory

A `LogDelegateFactory` which creates `Log4jLogDelegate` instances.

### Constructor Summary

Constructors
Constructor and Description
`Log4jLogDelegateFactory()`

### Method Summary

Methods
`LogDelegate` `createDelegate(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Log4jLogDelegateFactory

    public Log4jLogDelegateFactory()

### Method Detail

#### createDelegate

    public LogDelegate createDelegate(java.lang.String name)

Specified by:
  `createDelegate` in interface `LogDelegateFactory`